Package com.logicaldoc.core.task

# Class TaskTrigger

java.lang.Object
com.logicaldoc.core.task.TaskTrigger

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanNameAware`, `org.springframework.beans.factory.FactoryBean<org.quartz.Trigger>`, `org.springframework.beans.factory.InitializingBean`

public class TaskTrigger extends Object implements org.springframework.beans.factory.FactoryBean<org.quartz.Trigger>, org.springframework.beans.factory.BeanNameAware, org.springframework.beans.factory.InitializingBean
This trigger wraps both a SimpleTrigger and a CronTrigger

Since:
  4.5
Author:
  Marco Meschieri - LogicalDOC

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MODE_CRON`
`static final String`
`MODE_SIMPLE`

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`TaskTrigger()`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterPropertiesSet()`
`org.springframework.scheduling.quartz.CronTriggerFactoryBean`
`getCronTrigger()`
`org.quartz.JobDetail`
`getJobDetail()`
`String`
`getName()`
`org.quartz.Trigger`
`getObject()`
`Class<?>`
`getObjectType()`
`long`
`getRepeatInterval()`
`org.springframework.scheduling.quartz.SimpleTriggerFactoryBean`
`getSimpleTrigger()`
`Task`
`getTask()`
`boolean`
`isSingleton()`
`void`
`reload()`
`void`
`setBeanName(String beanName)`
`void`
`setJobDetail(org.quartz.JobDetail jobDetail)`
`void`
`setTask(Task task)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MODE_CRON

public static final String MODE_CRON

See Also:
  - Constant Field Values

### MODE_SIMPLE

public static final String MODE_SIMPLE

See Also:
  - Constant Field Values

## Constructor Details

### TaskTrigger

public TaskTrigger()

## Method Details

### getTask

public Task getTask()

### getName

public String getName()

### setTask

public void setTask(Task task)

### getSimpleTrigger

public org.springframework.scheduling.quartz.SimpleTriggerFactoryBean getSimpleTrigger()

### getCronTrigger

public org.springframework.scheduling.quartz.CronTriggerFactoryBean getCronTrigger()

### setJobDetail

public void setJobDetail(org.quartz.JobDetail jobDetail)

### afterPropertiesSet

public void afterPropertiesSet() throws Exception

Specified by:
  `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
Throws:
  `Exception`

### setBeanName

public void setBeanName(String beanName)

Specified by:
  `setBeanName` in interface `org.springframework.beans.factory.BeanNameAware`

### getObject

public org.quartz.Trigger getObject()

Specified by:
  `getObject` in interface `org.springframework.beans.factory.FactoryBean<org.quartz.Trigger>`

### getObjectType

public Class<?> getObjectType()

Specified by:
  `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<org.quartz.Trigger>`

### isSingleton

public boolean isSingleton()

Specified by:
  `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<org.quartz.Trigger>`

### reload

public void reload()

### getRepeatInterval

public long getRepeatInterval()

### getJobDetail

public org.quartz.JobDetail getJobDetail()